;;; init-evil.el --- VIM dentro de emacs  -*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;;; Code:
(use-package evil
  :defer t
  :straight t
  :hook (after-init . evil-mode)
  :config

  (setq evil-toggle-key "C-'")
  (setq evil-default-state 'emacs)
  (setq evil-emacs-state-cursor 'bar)

  (evil-define-key '(normal insert visual replace operator motion emacs) 'global (kbd "C-z") 'evil-undo)
  )

(provide 'init-evil)
;;; init-evil.el ends here
